Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001523Core InformSource text and punctuationpublic2015-02-22 11:262015-05-24 04:22
Reporterdfremont 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSMac OS XOS Version10.10
Product Version6L38 
Target VersionFixed in Version 
Summary0001523: Wayward parentheses not always caught
DescriptionSometimes extra parentheses trigger an internal compiler error or are accepted without a Problem message despite being invalid code (in the second example below, trying to name the object "zonk()" correctly yields a Problem message saying names cannot contain parentheses). In the third example below, a Problem message is issued followed by an internal error.
Minimal Source Text To Reproduce
[ Internal error: ]

"Foo" by Bar.
Zog is a room.
The player unlocks( the player.

[ No Problem message: ]

"Foo" by Bar.
Zog is a room.
Wug is a kind of thing. Some wugs are defined by the Table of Wuggitude.

Table of Wuggitude
wug
zonk)

[ Problem message + internal error: ]

"Foo" by Bar.
Zog is a room.
This is the blugg(le rule: do nothing.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0003309)
dfremont (reporter)
2015-02-23 01:21

The internal error message:

Problem. An internal error has occurred: Bracket mismatch when registering. The current sentence is 'The player unlocks (the player' ; the error was detected at line 613 of "inform7/Chapter 10/Excerpt Meanings.w". This should never happen, and I am now halting in abject failure.
(0003366)
zarf (developer)
2015-03-22 20:19

Confirmed.
(0003770)
graham (administrator)
2015-05-24 04:22

Two distinct bugs here (the first two were one case, the third the other). Fixed.

- Issue History
Date Modified Username Field Change
2015-02-22 11:26 dfremont New Issue
2015-02-23 01:21 dfremont Note Added: 0003309
2015-03-22 20:19 zarf Note Added: 0003366
2015-03-22 20:19 zarf Status new => confirmed
2015-05-24 04:22 graham Note Added: 0003770
2015-05-24 04:22 graham Status confirmed => resolved
2015-05-24 04:22 graham Resolution open => fixed
2015-05-24 04:22 graham Assigned To => graham


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker